Loading...
Searching...
No Matches
Opm::GridManager Class Reference

This class manages an Opm::UnstructuredGrid in the sense that it encapsulates creation and destruction of the grid. More...

`#include <GridManager.hpp>`

## Public Member Functions

| GridManager (int nx, int ny)
| Construct a 2d cartesian grid with cells of unit size.
| GridManager (int nx, int ny, double dx, double dy)
| Construct a 2d cartesian grid with cells of size [dx, dy].
| GridManager (int nx, int ny, int nz)
| Construct a 3d cartesian grid with cells of unit size.
| GridManager (int nx, int ny, int nz, double dx, double dy, double dz)
| Construct a 3d cartesian grid with cells of size [dx, dy, dz].
| GridManager (const std::string &input_filename)
| Construct a grid from an input file.
| ~GridManager ()
| Destructor.
const UnstructuredGrid * | c_grid () const
| Access the managed UnstructuredGrid.

## Detailed Description

This class manages an Opm::UnstructuredGrid in the sense that it encapsulates creation and destruction of the grid.

The following grid types can be constructed:

- 3d corner-point grids (from deck input)
- 3d tensor grids (from deck input)
- 2d cartesian grids
- 3d cartesian grids The resulting UnstructuredGrid is available through the c_grid() method.

## Constructor & Destructor Documentation

## GridManager()

Opm::GridManager::GridManager | ( | const std::string & | input_filename | ) |

explicit

Construct a grid from an input file.

The file format used is currently undocumented, and is therefore only suited for internal use.

## Member Function Documentation

## c_grid()

const UnstructuredGrid * Opm::GridManager::c_grid | ( |  | ) | const

Access the managed UnstructuredGrid.

The method is named similarly to c_str() in std::string, to make it clear that we are returning a C-compatible struct.

The documentation for this class was generated from the following files:

- opm/grid/GridManager.hpp
- opm/grid/GridManager.cpp